cod-tools (3.2.0+dfsg-2) unstable; urgency=medium

  * Fixing buffer overrun via upstream-provided patch (Closes: #992926).

 -- Andrius Merkys <merkys@debian.org>  Thu, 26 Aug 2021 09:49:21 -0400

cod-tools (3.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.0+dfsg
  * Refreshing patches. Removing upstream-integrated fix-buffer-overflow.diff.
  * Adding new dependency on libgraph-nauty-perl.

 -- Andrius Merkys <merkys@debian.org>  Fri, 20 Aug 2021 04:52:43 -0400

cod-tools (3.1.0+dfsg-3) unstable; urgency=medium

  * Patching buffer overflow in code responsible for composing error messages.

 -- Andrius Merkys <merkys@debian.org>  Wed, 12 May 2021 06:21:45 -0400

cod-tools (3.1.0+dfsg-2) unstable; urgency=medium

  * Adding missing Breaks+Replaces: cod-tools (<< 3) for libcod-tools-perl
    (Closes: #984528)

 -- Andrius Merkys <merkys@debian.org>  Fri, 05 Mar 2021 11:44:59 -0500

cod-tools (3.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.0+dfsg
  * Updating the list of excluded items.
  * Refreshing patches.

 -- Andrius Merkys <merkys@debian.org>  Mon, 14 Sep 2020 06:05:50 -0400

cod-tools (3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.0.1+dfsg
  * Removing no longer shipped locations from Files-Excluded.
  * Updating copyright years.
  * Refreshing patches and symbol control files.
  * Cleaning up temporary files in dh_auto_clean instead of patching the
    Makefile.
  * cif_parse_old_star is no longer distributed.
  * No longer depending on libcarp-assert-perl.
  * Dropping upstream-integrated patch build-python3-by-default.diff.
  * Renaming binary package libcodcif2 -> libcodcif3.
  * Placing all Perl modules to a new binary package, libcod-tools-perl.
  * Updating debian/tests/upstream, skipping flaky test cases/cif_Fcalc_001.

 -- Andrius Merkys <merkys@debian.org>  Tue, 28 Jul 2020 04:50:47 -0400

cod-tools (2.12+dfsg-1) unstable; urgency=medium

  * New upstream version 2.12+dfsg
  * Refreshing patches.
  * Removing no longer needed debian/clean.
  * Adding test dependency on libgraph-perl.

 -- Andrius Merkys <merkys@debian.org>  Thu, 02 Jul 2020 05:57:15 -0400

cod-tools (2.11+dfsg-1) unstable; urgency=medium

  * New upstream version 2.11+dfsg
  * Dropping babel-to-obabel.patch (integrated upstream).
  * Refreshing distclean-tmp.diff and codcif-svnversion.diff.
  * Removing leftover temporary files.

 -- Andrius Merkys <merkys@debian.org>  Mon, 22 Jun 2020 04:20:54 -0400

cod-tools (2.10+dfsg-2) unstable; urgency=medium

  * Replacing calls to 'babel' with 'obabel'.

 -- Andrius Merkys <merkys@debian.org>  Wed, 13 May 2020 03:20:13 -0400

cod-tools (2.10+dfsg-1) unstable; urgency=medium

  * New upstream version 2.10+dfsg
  * Using HTTPS URLs in debian/watch.
  * Adjusting packaging to the changed default install locations.

 -- Andrius Merkys <merkys@debian.org>  Wed, 26 Feb 2020 02:20:12 -0500

cod-tools (2.9+dfsg-1) unstable; urgency=medium

  * New upstream version 2.9+dfsg
  * Updating copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 20 Jan 2020 02:28:07 -0500

cod-tools (2.8+dfsg-1) unstable; urgency=medium

  * New upstream version 2.8+dfsg
  * Acknowledging addition of new symbols in libcexceptions0 and libcodcif2.

 -- Andrius Merkys <merkys@debian.org>  Mon, 13 Jan 2020 07:53:58 -0500

cod-tools (2.7+dfsg-1) unstable; urgency=medium

  * New upstream version 2.7+dfsg
  * Acknowledging addition of new symbol in libcodcif2.

 -- Andrius Merkys <merkys@debian.org>  Thu, 12 Dec 2019 03:43:47 -0500

cod-tools (2.6+dfsg-1) unstable; urgency=medium

  * New upstream version 2.6+dfsg
  * Acknowledging addition of new symbols in libcodcif2.
  * Dropping dependencies on libchemistry-openbabel-perl.
  * Bumping Standards-Version.
  * Switching to debhelper-compat (= 12) (no changes).

 -- Andrius Merkys <merkys@debian.org>  Fri, 22 Nov 2019 04:08:13 -0500

cod-tools (2.5+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5+dfsg
  * Adding repack directives in debian/watch.
  * Refreshing patches.
  * Removing flex from the list of build-dependencies: not needed anymore.
  * Updating Source field in debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Fri, 08 Nov 2019 08:47:36 -0500

cod-tools (2.4+dfsg-3) unstable; urgency=medium

  * Bypassing the rest of cif_find_symmetry autopkgtests due to flakiness.

 -- Andrius Merkys <merkys@debian.org>  Tue, 10 Sep 2019 01:30:56 -0400

cod-tools (2.4+dfsg-2) unstable; urgency=medium

  * Dropping python-pycodcif package.
  * Adding a patch to build Python3 code by default.
  * Removing 'override_dh_auto_build', using default build process.
  * Using python3 interpreter instead of python in cif_printout_Python.
  * Fixing tests for cif_printout_Python.
  * Bypassing failing cif_printout_Python tests.
  * Changing bypass message for cif_find_symmetry tests.

 -- Andrius Merkys <merkys@debian.org>  Wed, 07 Aug 2019 02:30:56 -0400

cod-tools (2.4+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4+dfsg
  * Adding symbols files for all libraries to control ABI changes.
  * Changing my e-mail address.
  * Removing the unsafe symlink.
  * Updating disable-test-network-access.diff.
  * Removing no longer used lintian-overrides file.
  * Executing wrap-and-sort.
  * Updating debian/copyright.

 -- Andrius Merkys <merkys@debian.org>  Fri, 12 Apr 2019 06:58:44 -0400

cod-tools (2.3+dfsg-3) unstable; urgency=medium

  * Passing CFLAGS to Swig object compilation.
  * Adding ${CPPFLAGS} to all C compiler calls to make function hardening
    possible.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 01 Feb 2019 10:04:07 -0500

cod-tools (2.3+dfsg-2) unstable; urgency=medium

  * libtext-diff-perl is required for running tests.
  * Decreasing verbosity of rsync in tests.
  * Making an empty line space between test outputs and the summary of failed
    tests in debian/tests/upstream.
  * Skipping locale-dependent tests.
  * Extending hardening.diff patch to pass the buildflags to C compiler.
  * Making long descriptions of libcodcif2 and libcodcif-dev different.
  * Making long descriptions of python-pycodcif and python3-pycodcif different.
  * Minimising upstream's signing keys.
  * Fixing captions in debian/tests/upstream.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Thu, 31 Jan 2019 03:33:25 -0500

cod-tools (2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 2.3+dfsg
  * Updating patches codcif-svnversion.diff and distclean-tmp.diff.
  * Dropping upstream-integrated patch r6304-6305.diff.
  * No longer skipping autopkgtest for cif_tcod_tree and Python bindings.
  * Revisiting tests incompatible with spglib.
  * Marking appropriate binary packages with Multi-Arch: same.
  * Bumping Standards-Version (no changes).

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 29 Jan 2019 06:47:44 -0500

cod-tools (2.2+dfsg-5) unstable; urgency=medium

  * Skipping one more CI test too sensitive to spglib version.
  * Using pybuild to build Python packages.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 17 Dec 2018 08:37:10 -0500

cod-tools (2.2+dfsg-4) unstable; urgency=medium

  * Skipping CI tests too sensitive to spglib version (Closes: #913455).
  * Package cod-tools depends on libparse-yapp-perl. Currently, it gets this
    dependency from libcod-cif-parser-yapp-perl, but strictly speaking
    cod-tools has to have it in its depends, as some modules use it directly.
  * debian/control: package build-depends on gawk, as it is used in
    after-build tests.
  * Bumping Standards Version to 4.2.1.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 16 Nov 2018 02:05:16 -0500

cod-tools (2.2+dfsg-3) unstable; urgency=medium

  * Renaming target 'override_dh_install' to 'override_dh_install-arch'
    (Closes: #903867).
  * debian/control: adding a pair of missing build-depends.
  * debian/control: autoconf is no longer required, as libsymspg is not
    compiled during build.
  * Adding a patch fixing Python3 compilation errors/warnings of pycodcif.
  * Adding patch descriptions.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Tue, 17 Jul 2018 01:17:02 -0400

cod-tools (2.2+dfsg-2) unstable; urgency=medium

  * debian/control: adding missing dependencies (Closes: #903666).
  * debian/control: putting test dependencies into build dependencies, as
    tests are run during the build process (Closes: #903689).
  * debian/control: placing dependencies one per line.
  * debian/tests/upstream: bypassing locale-dependent tests.
  * debian/tests/upstream: fixing incorrect test path.
  * Moving templates of *.install and *.links files to debian/template/;
    preparing the build system to clean after the build.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Fri, 13 Jul 2018 02:51:52 -0400

cod-tools (2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 2.2 (Closes: #900458)
  * Splitting off libdevel packages from libcexceptions0 and libgetoptions0.
  * debian/libcexceptions0.install: libcexceptions.so.* is not properly
    installed by the build system.
  * Installing missing shlib symlinks for libcexceptions0 and libgetoptions0.
  * Package 'tree' is a build dependency (more a test dependency), not a real
    dependency of cod-tools package.
  * Dropping the dependency on 'sqlite3'.
  * debian/control: adding missing ${shlibs:Depends} for libgetoptions0.
  * debian/watch: using more stable location for uscan'ing at
    http://wiki.crystallography.net/cod-tools/.
  * debian/copyright: updating Files-Excluded stanza.
  * Removing integrated patches:
    - cif_split_primitive-tests.diff
    - create-empty-dirs.diff
    - tidy-yy.diff
    - prefix-to-destdir.diff
  * Updating patches:
    - codcif-svnversion.diff
    - hardening.diff
    - distclean-tmp.diff
  * Removing unneeded lintian overrides.
  * Removing overridden Section from cod-tools package entry in debian/control.
  * Fixing hardening of libcod-cif-parser-bison-perl and python-pycodcif.
  * Renaming patch relro.diff to hardening.diff.
  * Making uscan check the upstream's GPG signature.
  * Moving debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Replacing priority 'extra' via 'optional'.
  * Bumping debian/compat to 11.
  * Splitting codcif package into libcodcif2 and libcodcif-dev, placing
    executable libraries to cod-tools.
  * Adding patch descriptions.
  * Enhancing package descriptions.
  * Installing all static libraries to multiarch directory.
  * debian/control: moving ${python:Versions} to XB-Python-Version
    (Closes: #901997).
  * Adding debian/upstream/metadata.
  * Adding python3-pycodcif package.
  * debian/copyright: spglib is no longer shipped together with cod-tools
    Debian tarball.
  * Installing all scripts (except cif_parse_old_star and cif_printout_Python)
    and Perl modules of cod-tools.
  * debian/cod-tools.install: installing SPGLib.pm and its shared object.
  * Adding an autopkgtest.
  * debian/rules: adding '--no-parallel' option for 'dh' as the package is not
    ready for parallel build.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 02 Jul 2018 13:12:45 -0400

cod-tools (2.1+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #864355).

 -- Andrius Merkys <andrius.merkys@gmail.com>  Mon, 05 Mar 2018 13:18:40 +0200
